petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatDSFischer

Calculates an element of the B-subdifferential of the smoothed Fischer-Burmeister function for complementarity problems.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode MatDSFischer(Mat jac, Vec X, Vec Con,Vec XL, Vec XU, PetscReal mu,Vec T1, Vec T2,Vec Da, Vec Db, Vec Dm)

Collective on jac Many br

### Input Parameters

| jac | - the jacobian of f at X Many br
| X | - current point Many br
| F | - constraint function evaluated at X Many br
| XL | - lower bounds Many br
| XU | - upper bounds Many br
| mu | - smoothing parameter Many br
| T1 | - work vector Many br
| T2 | - work vector Many br

### Output Parameter

| Da | - diagonal perturbation component of the result Many br
| Db | - row scaling component of the result Many br
| Dm | - derivative with respect to scaling parameter Many br

Many br

### See Also

MatDFischer()

Level:developer
Location:src/tao/util/tao_util.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages